package agent

import (
	"time"

	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/agent_registrar"
)

const (
	RegisterInitBackoff   = 10 * time.Second
	RegisterMaxBackoff    = 5 * time.Minute
	RegisterResetDuration = 10 * time.Minute
	RegisterBackoffFactor = 2.0
	RegisterJitter        = 5.0
)

type Factory struct {
}

func (f *Factory) IsProducingLeaderModules() bool {
	return false
}

func (f *Factory) Name() string {
	return agent_registrar.ModuleName
}
